<mat-card-title>Register</mat-card-title>

{{form.errors?.passwordNotMatch}}
<form (ngSubmit)="register()" [formGroup]="form">

    <p *ngIf="form.errors?.passwordNotMatch" style="color: red">
        Password doesn't match.
    </p>
    
    <mat-form-field class="full-width">
        <input type="text" matInput formControlName="email" name="email" placeholder="Username"  />
        <mat-error *ngIf="form.get('email').invalid">
            Email is not valid and is required
        </mat-error>
        <mat-error *ngIf="form.get('email').errors?.alreadyExists">
            Email is already taken
        </mat-error>
    </mat-form-field>
    <mat-form-field class="full-width">
        <input type="password" matInput formControlName="password" name="password" placeholder="Password" />
        <mat-error *ngIf="form.get('password').invalid">
            Password is required and must be at least 4 characters
        </mat-error>
    </mat-form-field>
    <mat-form-field class="full-width" >
        <input type="password" matInput formControlName="confirm" name="confirm" placeholder="Confirm Password" />
    </mat-form-field>
    <button mat-raised-button color="primary" [disabled]="userExists || form.invalid">Register</button>
</form>